## shoelaces 1.2.0+ds

=== Makefile ===
GO = go
SCDOC = scdoc
LDFLAGS = "-s -w"

pkgs = $(shell $(GO) list ./... | grep -v /vendor/)

all:
	$(GO) build

fmt:
	$(GO) fmt

clean:
	rm -f shoelaces docs/shoelaces.8

shoelaces.8:
	$(SCDOC) < docs/shoelaces.8.scd > docs/shoelaces.8

docs: shoelaces.8

test: fmt
		$(GO) test -v $(pkgs) && \
			./test/integ-test/integ_test.py

.PHONY: all clean docs

binaries: linux windows
linux:
		GOOS=linux ${GO} build -o bin/shoelaces -ldflags ${LDFLAGS}
windows:
		GOOS=windows ${GO} build -o bin/shoelaces.exe -ldflags ${LDFLAGS}

## shoelaces 1.0.2

=== debian/changelog ===
shoelaces (1.0.2-2) unstable; urgency=medium

  * Enable sid transition. 

 -- Raúl Benencia <rul@kalgan.cc>  Sun, 03 May 2020 01:21:38 -0300

shoelaces (1.0.2-1) experimental; urgency=medium

  * Initial release (Closes: #905723)

 -- Raúl Benencia <rul@kalgan.cc>  Sat, 27 Jul 2019 17:18:37 -0300

=== debian/control ===
Source: shoelaces
Section: devel
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>,
Build-Depends: debhelper (>= 12),
               dh-golang,
               golang-any,
               golang-github-go-kit-kit-dev,
               golang-github-gorilla-mux-dev,
               golang-github-justinas-alice-dev,
               golang-github-namsral-flag-dev,
               golang-yaml.v2-dev,
               scdoc,
Standards-Version: 4.4.0
Homepage: https://github.com/thousandeyes/shoelaces
Vcs-Browser: https://salsa.debian.org/rul-guest/shoelaces
Vcs-Git: https://salsa.debian.org/rul-guest/shoelaces.git
XS-Go-Import-Path: github.com/thousandeyes/shoelaces
Testsuite: autopkgtest-pkg-go

Package: shoelaces
Architecture: any
Built-Using: ${misc:Built-Using},
Pre-Depends: ${misc:Pre-Depends},
Depends: libjs-bootstrap4,
         libjs-jquery,
         lsb-base,
         ${misc:Depends},
         ${shlibs:Depends},
Description: automated server bootstrapping
 Shoelaces provides a mechanism for automating the bootstrapping of servers.
 It serves iPXE boot scripts, cloud-init configurations and, actually, any kind
 of plain text files.
 .
 Shoelaces main features are:
   - automation of the boot script to serve for a given server based on its IP
     address or DNS PTR record.
   - usage of Go templates to serve the configurations, allowing the user to
     customize them with parameters received via GET request.
   - web UI to show the current configurations, and history of servers that
     booted.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/shoelaces-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/thousandeyes/shoelaces/tags .*/v?(\d\S*)\.tar\.gz

## shoelaces 1.1.0+ds

=== debian/changelog ===
shoelaces (1.1.0+ds-1) unstable; urgency=medium

  * New upstream release.
  * Fix bootstrap symlinks.
  * Depend on debhelper-compat.
  * Bump debhelper compat.
  * Bump to Standards-Version 4.5.0. No changes required.
  * Add Bug-Database and Bug-Submit upstream metadata.
  * Remove -guest from VCS control fields.

 -- Raúl Benencia <rul@kalgan.cc>  Sat, 09 May 2020 10:28:01 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Raúl Benencia <rul@kalgan.cc>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>,
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-go-kit-kit-dev,
@@ -12,10 +13,11 @@
                golang-github-namsral-flag-dev,
                golang-yaml.v2-dev,
                scdoc,
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/thousandeyes/shoelaces
-Vcs-Browser: https://salsa.debian.org/rul-guest/shoelaces
-Vcs-Git: https://salsa.debian.org/rul-guest/shoelaces.git
+Vcs-Browser: https://salsa.debian.org/rul/shoelaces
+Vcs-Git: https://salsa.debian.org/rul/shoelaces.git
 XS-Go-Import-Path: github.com/thousandeyes/shoelaces
 Testsuite: autopkgtest-pkg-go

=== debian/tests/control ===
Tests: testbind
Depends: @, wget
Restrictions: isolation-container, needs-root

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/shoelaces-\$1\.tar\.gz/,\
dversionmangle=s/\.ds// \
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/thousandeyes/shoelaces/tags .*/v?(\d\S*)\.tar\.gz

## shoelaces 1.2.0%2Bds

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-namsral-flag-dev,
                golang-yaml.v2-dev,
                scdoc,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/thousandeyes/shoelaces
 Vcs-Browser: https://salsa.debian.org/rul/shoelaces

## shoelaces 1.2.0+ds

=== debian/changelog ===
shoelaces (1.2.0+ds-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 09:54:23 +0000

shoelaces (1.2.0+ds-1build1) jammy; urgency=medium

  * No-change rebuild against Go 1.17

 -- William 'jawn-smith' Wilson <jawn-smith@ubuntu.com>  Tue, 30 Nov 2021 13:58:15 -0600

shoelaces (1.2.0+ds-1) unstable; urgency=medium

  * New upstream version 1.2.0+ds.
  * Repack through uscan.
  * Bump to Standards-Version 4.5.1. No changes required.
  * Remove deprecated port parameter on shoelaces.default.

 -- Raúl Benencia <rul@kalgan.cc>  Sat, 10 Apr 2021 15:51:02 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: shoelaces
 Section: devel
 Priority: optional
-Maintainer: Raúl Benencia <rul@kalgan.cc>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Raúl Benencia <rul@kalgan.cc>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>,
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

# Disable cgo to avoid lintian warn: 'hardening-no-fortify-functions'
export CGO_ENABLED = 0

override_dh_auto_install:
	dh_auto_install -- --no-source

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=golang
	rm -f docs/shoelaces.8

override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -- \
		-buildmode=pie \
		-ldflags="-extldflags -Wl,-z,now"
	scdoc < docs/shoelaces.8.scd > docs/shoelaces.8

=== debian/tests/control ===
Tests: testbind
Depends: wget,
         @,
Restrictions: isolation-container, needs-root

## shoelaces 1.3.2+ds

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 test: fmt
 		$(GO) test -v $(pkgs) && \
-			./test/integ-test/integ_test.py
+			./test/integ-test/integ_test.py -vv
 
 .PHONY: all clean docs

=== debian/changelog ===
shoelaces (1.3.2+ds-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 26 Jun 2025 13:42:20 +1000

shoelaces (1.3.2+ds-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 08 Nov 2024 15:36:45 +1000

shoelaces (1.3.2+ds-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 11:48:50 +0530

shoelaces (1.3.2+ds-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:18:25 +1200

shoelaces (1.3.2+ds-1) unstable; urgency=medium

  * New upstream version 1.3.2+ds.
  * Bump standards version to 4.6.2 (no changes required).
  * Add lintian overrides for spelling errors octects, whE and wTH.
    They are false positives. The strings are not included in the source.
  * d/control: Update maintainer email address.
  * d/copyright: Update copyright years.
  * d/rules: Drop custom build parameters to rely on dh_golang defaults.
  * d/watch: Do not use filenamemangle.
    Lintian recommends to instead use USCAN_SYMLINK=rename.

 -- Raúl Benencia <rul@debian.org>  Fri, 09 Jun 2023 10:07:34 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Raúl Benencia <rul@kalgan.cc>
+XSBC-Original-Maintainer: Raúl Benencia <rul@debian.org>
 Uploaders: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>,
 Build-Depends: debhelper (>= 13),
                debhelper-compat (= 13),
@@ -14,7 +14,7 @@
                golang-github-namsral-flag-dev,
                golang-yaml.v2-dev,
                scdoc,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/thousandeyes/shoelaces
 Vcs-Browser: https://salsa.debian.org/rul/shoelaces
@@ -28,7 +28,6 @@
 Pre-Depends: ${misc:Pre-Depends},
 Depends: libjs-bootstrap4,
          libjs-jquery,
-         lsb-base,
          ${misc:Depends},
          ${shlibs:Depends},
 Description: automated server bootstrapping

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,5 @@
 	rm -f docs/shoelaces.8
 
 override_dh_auto_build:
-	dh_auto_build -O--buildsystem=golang -- \
-		-buildmode=pie \
-		-ldflags="-extldflags -Wl,-z,now"
+	dh_auto_build -O--buildsystem=golang
 	scdoc < docs/shoelaces.8.scd > docs/shoelaces.8

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds//,\
repacksuffix=+ds \
  https://github.com/thousandeyes/shoelaces/tags .*/v?(\d\S*)\.tar\.gz
